[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Guile 1.8.2 Compile Error [GAH]

From: Ludovic Courtès
Subject: Re: Guile 1.8.2 Compile Error [GAH]
Date: Tue, 13 Nov 2007 23:20:18 +0100
User-agent: Gnus/5.11 (Gnus v5.11) Emacs/22.1 (gnu/linux)


"Kevin Brott" <address@hidden> writes:

> However, all of the code snippets listed above fail in exactly the same
> way on Ubuntu as they did on AIX.  So I'm guessing that some config
> guessing is wrong on AIX, and either it's trying to compile code
> segments that isn't being compiled on Linux, or it's not including
> something that is being included on Linux to stop the errors.

Indeed, we must be on the wrong track.

Can you try adding the following line in `libguile/discouraged.c':

  #include "libguile/_scm.h"

Put it right before `#include "libguile.h"'.

I'm pretty much clueless, and I don't have access to AIX.  Maybe you
could ask a colleague familiar with C to look into it, if possible.  :-)

Thanks for your patience!


reply via email to

[Prev in Thread] Current Thread [Next in Thread]